package com.liquidnet.client.admin.zhengzai.smile.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import com.liquidnet.client.admin.zhengzai.smile.dto.SmileUserParam;
import com.liquidnet.client.admin.zhengzai.smile.dto.SmileUserVo;
import com.liquidnet.client.admin.zhengzai.smile.dto.SmileUserVoOrg;
import com.liquidnet.service.smile.entity.SmileUser;

import java.util.List;

public interface ISmileUserService  extends IService<SmileUser> {

    PageInfo<SmileUserVo> userList(SmileUserParam smileUserParam);

    SmileUser getUserById(Long id);

    Boolean create(SmileUser smileUser);

    List<SmileUserVoOrg> getUserListByOrgId(Long orgId, Long agentId);

}
